/*
 * $Id: Entity_test_map.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"
#include <iostream>

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::test_map"
  bool Entity::test_map (uint32_t depth, bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
  
    std::string tab  = std::string(depth,'\t');
    log_printf(NONE,Behavioural,FUNCTION, "%s* Test mapping : Entity \"%s\"",tab.c_str(),_name.c_str());
  
    bool _return = _interfaces->test_map(depth+1,top_level);

#ifndef DEBUG
    if (_return == false)
      {
	std::cerr << "In entity \"" << _name << "\" (type : \"" << _type << "\"), a lot of port is not connected !" << std::endl;
      }
#endif

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
